class Dot {
  int x, y;
  float angle;
  float angularVel, linearVel;

  // constructors
  Dot(int x, int y, float angle) {
    this.x = x;
    this.y = y;
    this.angle = angle;
    this.angularVel = 0;
    this.linearVel = 0;
  }

  Dot() {
    this.x = 250;
    this.y = 250;
    this.angle = 0;
    this.angularVel = 0;
    this.linearVel = 0;
  }

  void drawDot() {
    fill(this.linearVel*100);
    ellipse(this.x, this.y, this.linearVel*10+10, this.linearVel*10+10);
  }

  void updateDotVelocities(float freq, float amp) {
    this.angle = radians(freq);
    this.linearVel = amp*10;
  }

  void updateDotPosition() {
    this.x =(int) (this.x + this.linearVel * cos(this.angle)) % width;
    this.y =(int) (this.y + this.linearVel * sin(this.angle)) % height;
    if (this.x == 0)
      this.x = width;
    if (this.y == 0)
      this.y = height;
  }
}

