import oscP5.*;
import netP5.*;

OscP5 oscP5;
Dot voiceDot;

void setup() {
  size(500, 500);
  frameRate(25);
  /* start oscP5, listening for incoming messages at port 12000 */
  oscP5 = new OscP5(this, 9999);
  voiceDot = new Dot((int)random(500), (int)random(500), 0.0);
  noStroke();
  background(125);
  smooth();
}

void draw() {
  voiceDot.updateDotPosition();
  voiceDot.drawDot();
}


void oscEvent(OscMessage theOscMessage) {
  /* check if theOscMessage has the address pattern we are looking for. */

  if (theOscMessage.checkAddrPattern("/sound")==true) {
    if (theOscMessage.checkTypetag("ff")) {
      /* parse theOscMessage and extract the values from the osc message arguments. */
      float firstValue = theOscMessage.get(0).floatValue();  
      float secondValue = theOscMessage.get(1).floatValue(); 
      println("sound: " + firstValue + ", " + secondValue);
      voiceDot.updateDotVelocities(firstValue, secondValue);
      return;
    }
  }
}


void mouseClicked(){
  saveFrame("voice_drawing-####.png"); 
}
  

